package httpserver

import (
	"html/template"
	"log"
	"net/http"
)

func (s *server) handleIndex() http.HandlerFunc {
	indexTemplate := template.Must(template.New("index").Parse(s.templateFiles.MustString("index.html")))

	return func(w http.ResponseWriter, r *http.Request) {
		err := indexTemplate.ExecuteTemplate(w, "index", nil)
		if err != nil {
			log.Println(err.Error())
			http.Error(w, http.StatusText(500), 500)
		}
	}
}
